/*
 * Demo program for the HANDYSCOPE
 */

#include <stdio.h>
#include <conio.h>
#include <stdlib.h>
#include <float.h>
#include "HS.H"



/*
 *
 * M A I N   P R O G R A M
 *
 */
void main ( void )
{

  byte  byInPutRangeCh1 = INPUTRANGE_20;
  byte  byInPutRangeCh2 = INPUTRANGE_2;
  int   nIndex;
  float rHelp1, rHelp2;
  int   nHelp;

  wADaddress = LPT1;

  outportb(wADaddress, 0xFF);     // Apply total power supply
  delay( 10 );                    // and wait a while after power is supplied
  clrscr();
  SetSensitivity( byInPutRangeCh1, byInPutRangeCh2 );

  while (!kbhit())
  {
    gotoxy( 1, 1 );
   /*
    * nMeasureDelay must lie between 1 .. 65534, in this example the value
    * 100 is taken for nMeasureDelay
    * At fast computers nMeasureDelay usually has to be larger than 1
    *
    * Measure 15 values with the Handyscope, using 100 for delay
    */
    MeasureHandyScope( 25, 3276 );
    for ( nIndex = 0; nIndex <= 23; nIndex++ )
    {
     /*
      * Display the measured values
      *
      * The first sample can not be used, therefore the loop starts at 1,
      * instead of 0
      */
      rHelp1 = (float)(wMeasurementArray[CH1][nIndex]-(float)2048)/(float)2048*
               rInputValue[byInPutRangeCh1];
      rHelp2 = (float)(wMeasurementArray[CH2][nIndex]-(float)2048)/(float)2048*
               rInputValue[byInPutRangeCh2];
      printf( "%4d  Ch1 = %8.4f Volt, Ch2 = %8.4f Volt\n", nIndex, rHelp1, rHelp2 );
    }
  }
}