/*
 * File Ad_TPEx.h
 */

#ifndef __AD_TPEX_H
#define __AD_TPEX_H

/*
 * Custom include files
 */
#include "types.h"

/*
 * Local function declarations
 */
extern void SetPGA        (BYTE byCh, BOOL bAC_DC, BYTE bySetting);
extern BOOL ReadEOCBit    (void);
extern void SetPostCount  (WORD wPostCount);
extern void SetTrigLevel  (SLOPE Slope, BYTE byLevel, BYTE byHysteresis);
extern void SetTrigBit    (void);
extern void SetTimeBase   (float* fFreq);
extern void SetCalOutput  (float* fFreq);
extern void ClearSRAM     (void);
extern void GoToSRAMPos   (WORD wSRAMPos);
extern void ReadSRAMData  (TP112_MEASDEP* pMeasSettings);
extern void MeasureTP112  (TP112_MEASDEP* pMeasSettings);
extern void ReadDigitalInputs(TP112_MEASDEP* pMeasSettings);
extern void WriteDigitalOutputs(BYTE byValue);

#endif
